import { ADD_MASTER_KEYS, ADD_MASTER_KEYS_ENROLEMENT } from '../../utils/types'
import { MASTER_DATA_KEYS } from '../../utils/localStorageKeys'

export default {
  [ADD_MASTER_KEYS](state, data) {
    state.master_data = { ...state.master_data, ...data }
    // TODO: temporarily disable
    localStorage.setItem(MASTER_DATA_KEYS, JSON.stringify(state.master_data))
  },
  [ADD_MASTER_KEYS_ENROLEMENT](state, data) {
    state.master_data_enrolement = { ...state.master_data_enrolement, ...data }
  },
}
